GET Invoices
Use the Coupa Supplier Portal (CSP) REST API to access invoice data in the CSP.
Endpoint
| Method | Endpoint |
|---|---|
|
GET |
|
Headers
|
Header |
Argument |
|---|---|
|
Authorization |
Bearer token |
|
Content-Type |
application/json |
Parameters
|
Parameter |
Description | Data Type |
|---|---|---|
| sort_by | Order of response values. Available options: invoice_number:ASC. | string |
| page | Page of results to display. | integer |
| limit | Maximum number of items in the response. Default: 15, Max: 50. | integer |
Elements
The following elements are available for the Invoices API:
|
Element |
Description |
Data Type | Filterable | Sortable | Example values |
|---|---|---|---|---|---|
| id | Coupa global unique identifier UUID. | UUID string | Yes | Yes | fe6490ca-9647-59de-b030-0a94e99496bd |
| invoice_number | Invoice number. | varchar(255) | Yes | Yes | 8146, R43100, PTPCODAT21 |
| original_invoice_number | Original invoice number used in case of a Credit Note. | varchar(255) | Yes | Yes | 8215 |
| total_with_taxes | Total with taxes. | decimal | Yes | Yes | 2300.10 |
| status | Invoice Status. | varchar(255) | Yes | Yes | approved |
| invoice_date | Date of Invoice. ISO 8601 format YYYY-MM-DDTHH:MM:SSZ in UTC. | datetime | Yes | Yes | 2026-01-30T20:39:12Z |
| original_invoice_date | Original invoice date required when is-credit-note=true. ISO 8601 format YYYY-MM-DDTHH:MM:SSZ in UTC. | datetime | Yes | Yes | 2026-01-30T20:39:12Z |
| line_level_taxation | Flag indicating whether taxes are provided at line level in this invoice. | boolean | Yes | Yes | True, true, 1, False, false, 0 |
| paid | Whether the invoice is paid. | boolean | Yes | Yes | True, true, 1, False, false, 0 |
| document_type | Invoice or Credit Note. | varchar(255) | Yes | Yes | Invoice |
| enterprise_instance_url | URL for your (customer) core instance. | varchar(255) | Yes | Yes | |
| created_at | Automatically created by Coupa. ISO 8601 format YYYY-MM-DDTHH:MM:SSZ in UTC. | datetime | Yes | No | 2026-02-24T20:49:42Z |
| updated_at | Automatically created by Coupa. ISO 8601 format YYYY-MM-DDTHH:MM:SSZ in UTC. | datetime | Yes | No | 2026-02-24T20:49:42Z |
| invoice_lines | Array of invoice lines associated with the invoice. | Array of Invoice Line objects | No | Array of Invoice Line | |
| status | Invoice status | varchar(255) | Yes | Yes | approved, pending_approval |
| tax_amount | Tax amount (not used if tax is provided at line level) | decimal | Yes | Yes | 110.00 |
| currency | Currency code | Currency | Yes | Yes | USD, EUR, INR |
| discount_due_date | Discount Due Date calculated based on the discount payment terms. ISO 8601 format YYYY-MM-DDTHH:MM:SSZ in UTC. | datetime | Yes | Yes | 2026-04-23T18:29:59Z |
| net_due_date | Net Due Date calculated based on the net payment terms. ISO 8601 format YYYY-MM-DDTHH:MM:SSZ in UTC. | datetime | Yes | Yes | 2025-12-19T23:59:59Z |
| dispute_reasons | Dispute Reasons. | string | No | No |
Filter parameter details
- Timestamp/Datetime
-
- All timestamp or datetime values must be provided in ISO 8601 format
YYYY-MM-DDTHH:MM:SSZ. - All timestamp or datetime values are in UTC time zone.
Examples:
created_at__lte=2025-11-19T09:38:51Z,created_at=2025-11-19T09:38:51Z,created_at__gte=2025-11-19T09:38:51Z - All timestamp or datetime values must be provided in ISO 8601 format
- Boolean
-
- Truthy values:
True,true,1. Recommended:true - Falsey values:
False,false,0. Recommended:false
Examples:
paid=true,line_level_taxation=0 - Truthy values:
- Comparison filters
-
lte— Less than or equal togte— Greater than or equal to- Usage:
<attribute_name>__lte,<attribute_name>__gte - Applicable on fields: datetime, integer, decimal
Examples:
created_at__lte,total_with_taxes__lte,created_at__gte,total_with_taxes__gte
Get invoices
- Endpoint
-
GET
/api/v1/invoices - Example cURL request
-
curl --location 'https://supplier.coupahost.com/api/v1/invoices?status=pending_approval' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer ••••••' - Example response
200 OK
{ "data": [ // ... invoice data objects ... { "id": "680fa552-3ef1-576c-b531-b743ca208134", "invoice_number": "feb27_e2e_1_update2", "original_invoice_number": "fdelc-dchrl-qisty-xeskl", "total_with_taxes": 100, "status": "approved", "invoice_date": "2024-02-27T00:00:00Z", "original_invoice_date": "2024-02-27T11:42:15Z", "line_level_taxation": true, "paid": false, "document_type": "Invoice", "enterprise_instance_url": "https://www.website.com", "created_at": "2024-02-28T05:46:29Z", "updated_at": "2025-08-14T12:30:55Z", "invoice_lines": [ // ... invoice_lines data objects ... { "id": "684dd604-77e1-55c1-939e-4aebd152fd0a", "description": "Impressivo 1000 motherboard", "line_num": 1, "price": 10, "total": 100, "uom": "EA", "status": "missing_po", "quantity": 10, "tax_amount": 0 } ], "tax_amount": 0, "currency": "USD", "discount_due_date": "2024-03-18T23:59:59Z", "net_due_date": null, "dispute_reason": "" }, ..., ..., ..., ..., ..., ], "total": 25, "limit": 20, "current": 1, "num_pages": 2 }
Get all invoices with status=pending_approval sorted by invoice_number ascending
- Example cURL request
-
curl --location 'https://supplier.coupahost.com/api/v1/invoices?status=pending_approval&sort_by=invoice_number:ASC' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer ••••••'
Get all invoices with currency=USD or paid=true
- Example cURL request
-
curl --location 'https://supplier.coupahost.com/api/v1/invoices?currency=USD&paid=true' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer ••••••'
Get all invoices with currency=USD or status=pending_approval
- Example cURL request
-
curl --location 'https://supplier.coupahost.com/api/v1/invoices?currency=USD&status=pending_approval' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer ••••••'
Get all invoices created at a particular timestamp
- Filter parameters
-
created_at=2025-11-19T09:38:51Z - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?created_at=2025-11-19T09%3A38%3A51Z' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2025-11-19T09:38:51Z", "currency": "USD", "discount_due_date": "2025-11-29T23:59:59Z", "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "5e75aaf6-365c-58fa-b170-e9f39aa7feea", "invoice_date": "2025-11-19T08:00:00Z", "invoice_lines": [ { "description": "Laptop", "id": "b65fb87f-c73b-5465-b88e-01c7cac3e515", "line_num": 1, "price": 1500, "quantity": 230, "status": "matched", "tax_amount": 0, "total": 345000, "uom": "BX" }, { "description": "Adaptor", "id": "a5a10a4b-9d3a-5fa1-8850-0fbab4774b9e", "line_num": 5, "price": 200, "quantity": 30, "status": "matched", "tax_amount": 0, "total": 6000, "uom": "BX" } ], "invoice_number": "INV_SDS_UUID_TEST_!", "line_level_taxation": true, "net_due_date": "2025-12-19T23:59:59Z", "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "pending_approval", "tax_amount": 0, "total_with_taxes": 413400, "updated_at": "2025-11-21T09:54:01Z" } ], "total": 1, "limit": 15, "current": 1, "num_pages": 1 }
Get all invoices created after a particular timestamp
- Filter parameters
-
created_at__gte=2025-11-19T09:38:51Z - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?created_at__gte=2025-11-19T09%3A38%3A51Z' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2025-11-19T09:38:51Z", "currency": "USD", "discount_due_date": "2025-11-29T23:59:59Z", "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "5e75aaf6-365c-58fa-b170-e9f39aa7feea", "invoice_date": "2025-11-19T08:00:00Z", "invoice_lines": [ {...}, {...} ], "invoice_number": "INV_SDS_UUID_TEST_!", "line_level_taxation": true, "net_due_date": "2025-12-19T23:59:59Z", "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "pending_approval", "tax_amount": 0, "total_with_taxes": 413400, "updated_at": "2025-11-21T09:54:01Z" }, {...}, { "created_at": "2025-11-20T15:21:29Z", "currency": "USD", "discount_due_date": null, "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "bc46bf7c-290d-5a76-9436-59a9e2b973dc", "invoice_date": "2025-11-20T08:00:00Z", "invoice_lines": [ { "description": "Car", "id": "57d63329-2e13-55cb-8826-99a3363d6d52", "line_num": 1, "price": 2000, "quantity": 1, "status": "missing_po", "tax_amount": 0, "total": 2000, "uom": "CS" } ], "invoice_number": "INV_CD-547545_2", "line_level_taxation": false, "net_due_date": null, "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "approved", "tax_amount": 0, "total_with_taxes": 2000, "updated_at": "2025-11-20T15:23:21Z" } ], "total": 16, "limit": 15, "current": 1, "num_pages": 2 }
Get all invoices created before a particular timestamp
- Filter parameters
-
created_at__lte=2025-11-19T09:38:51Z - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?created_at__lte=2025-11-19T09%3A38%3A51Z' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2025-11-19T09:38:51Z", "currency": "USD", "discount_due_date": "2025-11-29T23:59:59Z", "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "5e75aaf6-365c-58fa-b170-e9f39aa7feea", "invoice_date": "2025-11-19T08:00:00Z", "invoice_lines": [ {...}, {...}, {...}, {...}, {...} ], "invoice_number": "INV_SDS_UUID_TEST_!", "line_level_taxation": true, "net_due_date": "2025-12-19T23:59:59Z", "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "pending_approval", "tax_amount": 0, "total_with_taxes": 413400, "updated_at": "2025-11-21T09:54:01Z" }, {...}, { "created_at": "2025-11-14T17:21:47Z", "currency": "USD", "discount_due_date": null, "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "5f8805ad-f349-540d-b878-a81e003dc38e", "invoice_date": "2025-11-14T08:00:00Z", "invoice_lines": [ { "description": "Table", "id": "0aef72b5-e60d-5823-8b6c-6eb7302d81df", "line_num": 1, "price": 20, "quantity": 10, "status": "matched", "tax_amount": 0, "total": 200, "uom": "BX" }, { "description": "Chair", "id": "880289f5-68be-5bc1-afec-9480329b0bde", "line_num": 2, "price": 100, "quantity": 100, "status": "matched", "tax_amount": 0, "total": 10000, "uom": "BX" } ], "invoice_number": "INV_121212", "line_level_taxation": false, "net_due_date": null, "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "approved", "tax_amount": 510, "total_with_taxes": 10710, "updated_at": "2025-11-14T17:24:36Z" } ], "total": 6, "limit": 15, "current": 1, "num_pages": 1 }
Get all invoices between two timestamps
- Filter parameters
-
created_at__gte=2025-11-13T00:00:00Zcreated_at__lte=2025-11-15T00:00:00Z - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?created_at__gte=2025-11-13T00%3A00%3A00Z&created_at__lte=2025-11-15T00%3A00%3A00Z' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2025-11-14T19:05:11Z", "currency": "USD", "discount_due_date": null, "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "fe6490ca-9647-59de-b030-0a94e99496bd", "invoice_date": "2025-11-14T08:00:00Z", "invoice_lines": [ {...}, {...} ], "invoice_number": "INV_121316", "line_level_taxation": false, "net_due_date": null, "original_invoice_date": null, "original_invoice_number": "", "paid": true, "status": "approved", "tax_amount": 0, "total_with_taxes": 0, "updated_at": "2025-11-14T19:06:36Z" }, {...}, { "created_at": "2025-11-14T17:21:47Z", "currency": "USD", "discount_due_date": null, "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "5f8805ad-f349-540d-b878-a81e003dc38e", "invoice_date": "2025-11-14T08:00:00Z", "invoice_lines": [ {...}, {...} ], "invoice_number": "INV_121212", "line_level_taxation": false, "net_due_date": null, "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "approved", "tax_amount": 510, "total_with_taxes": 10710, "updated_at": "2025-11-14T17:24:36Z" } ], "total": 5, "limit": 15, "current": 1, "num_pages": 1 }
Get all invoices by invoice_date
- Filter parameters
-
invoice_date=2026-03-23T18:30:00Z - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?invoice_date=2026-03-23T18%3A30%3A00Z' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2026-03-24T11:24:20Z", "currency": "USD", "discount_due_date": null, "dispute_reason": "Price different from PO/Contract or Catalog", "document_type": "Invoice", "enterprise_instance_url": "https://r45-new.coupadev.com/", "id": "fe95ffd2-29cc-58fb-b65e-e40b074da830", "invoice_date": "2026-03-23T18:30:00Z", "invoice_lines": [ { "description": "mpuse", "id": "db3e598b-7734-5277-806a-068c9eff4708", "line_num": 1, "price": 10, "quantity": 1, "status": "new", "tax_amount": 0, "total": 10, "uom": "EA" } ], "invoice_number": "1005", "line_level_taxation": false, "net_due_date": null, "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "approved", "tax_amount": 0, "total_with_taxes": 10, "updated_at": "2026-03-25T11:36:21Z" }, { "created_at": "2026-03-24T09:35:17Z", "currency": "USD", "discount_due_date": "2026-04-23T18:29:59Z", "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://r45-new.coupadev.com/", "id": "69f558a9-957c-5516-ae63-4491fa957e66", "invoice_date": "2026-03-23T18:30:00Z", "invoice_lines": [ { "description": "test shiv2", "id": "7bf3b1c5-0861-5341-bb2b-3ad6ce9a4e99", "line_num": 1, "price": 10, "quantity": 1, "status": "matched", "tax_amount": 0, "total": 10, "uom": "EA" } ], "invoice_number": "1001", "line_level_taxation": false, "net_due_date": "2026-04-23T18:29:59Z", "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "approved", "tax_amount": 0, "total_with_taxes": 100, "updated_at": "2026-03-24T11:23:00Z" } ], "total": 2, "limit": 15, "current": 1, "num_pages": 1 }
Get all invoices with discount_due_date on or before 2026-04-23T18:29:59Z
- Filter parameters
-
discount_due_date__lte=2026-04-23T18:29:59Z - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?discount_due_date__lte=2026-04-23T18%3A29%3A59Z' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2026-03-24T09:35:17Z", "currency": "USD", "discount_due_date": "2026-04-23T18:29:59Z", "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://r45-new.coupadev.com/", "id": "69f558a9-957c-5516-ae63-4491fa957e66", "invoice_date": "2026-03-23T18:30:00Z", "invoice_lines": [ {...} ], "invoice_number": "1001", "line_level_taxation": false, "net_due_date": "2026-04-23T18:29:59Z", "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "approved", "tax_amount": 0, "total_with_taxes": 100, "updated_at": "2026-03-24T11:23:00Z" } ], "total": 1, "limit": 15, "current": 1, "num_pages": 1 }
Get all invoices with total_with_taxes greater than or equal to 10
- Filter parameters
-
total_with_taxes__gte=10 - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?total_with_taxes__gte=10' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2026-03-24T11:24:20Z", "currency": "USD", "discount_due_date": null, "dispute_reason": "Price different from PO/Contract or Catalog", "document_type": "Invoice", "enterprise_instance_url": "https://r45-new.coupadev.com/", "id": "fe95ffd2-29cc-58fb-b65e-e40b074da830", "invoice_date": "2026-03-23T18:30:00Z", "invoice_lines": [ {...} ], "invoice_number": "1005", "line_level_taxation": false, "net_due_date": null, "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "approved", "tax_amount": 0, "total_with_taxes": 10, "updated_at": "2026-03-25T11:36:21Z" }, {...}, {...}, {...}, {...}, {...} ], "total": 6, "limit": 15, "current": 1, "num_pages": 1 }
Get all invoices with paid=false and line_level_taxation=true
- Filter parameters
-
paid=falseline_level_taxation=1 - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?paid=false&line_level_taxation=1' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2025-11-19T09:38:51Z", "currency": "USD", "discount_due_date": "2025-11-29T23:59:59Z", "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "5e75aaf6-365c-58fa-b170-e9f39aa7feea", "invoice_date": "2025-11-19T08:00:00Z", "invoice_lines": [ {...} ], "invoice_number": "INV_SDS_UUID_TEST_!", "line_level_taxation": true, "net_due_date": "2025-12-19T23:59:59Z", "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "pending_approval", "tax_amount": 0, "total_with_taxes": 413400, "updated_at": "2025-11-21T09:54:01Z" } ], "total": 1, "limit": 15, "current": 1, "num_pages": 1 }
Multiple filters: created after timestamp, paid=false, line_level_taxation=true
- Filter parameters
-
created_at__gte=2025-11-19T09:38:51Zpaid=falseline_level_taxation=true - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?created_at__gte=2025-11-19T09%3A38%3A51Z&paid=false&line_level_taxation=true' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2025-11-19T09:38:51Z", "currency": "USD", "discount_due_date": "2025-11-29T23:59:59Z", "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "5e75aaf6-365c-58fa-b170-e9f39aa7feea", "invoice_date": "2025-11-19T08:00:00Z", "invoice_lines": [ {...}, {...}, {...}, {...}, {...} ], "invoice_number": "INV_SDS_UUID_TEST_!", "line_level_taxation": true, "net_due_date": "2025-12-19T23:59:59Z", "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "pending_approval", "tax_amount": 0, "total_with_taxes": 413400, "updated_at": "2025-11-21T09:54:01Z" } ], "total": 1, "limit": 15, "current": 1, "num_pages": 1 }
Multiple filters: created after timestamp, paid=false, line_level_taxation=false, total_with_taxes range
- Filter parameters
-
created_at__gte=2025-11-19T09:38:51Zpaid=falseline_level_taxation=falsetotal_with_taxes__gte=120total_with_taxes__lte=400 - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?created_at__gte=2025-11-19T09%3A38%3A51Z&paid=false&line_level_taxation=false&total_with_taxes__lte=400&total_with_taxes__gte=120' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2025-11-20T18:27:06Z", "currency": "USD", "discount_due_date": null, "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "359eb798-85f5-5f17-8b62-7035901a5b36", "invoice_date": "2025-11-21T08:00:00Z", "invoice_lines": [ {...}, {...} ], "invoice_number": "INV_CD-547545_14", "line_level_taxation": false, "net_due_date": null, "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "approved", "tax_amount": 0, "total_with_taxes": 220, "updated_at": "2025-11-20T18:38:48Z" }, { "created_at": "2025-11-20T16:34:23Z", "currency": "USD", "discount_due_date": null, "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "ac5221f1-6936-513c-996d-62a26077122f", "invoice_date": "2025-11-20T08:00:00Z", "invoice_lines": [ {...} ], "invoice_number": "INV_CD-547545_7", "line_level_taxation": false, "net_due_date": null, "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "approved", "tax_amount": 0, "total_with_taxes": 400, "updated_at": "2025-11-20T16:35:18Z" }, { "created_at": "2025-11-20T16:27:23Z", "currency": "USD", "discount_due_date": null, "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "a0bb866f-314f-5390-9bfc-d39b1a42a62f", "invoice_date": "2025-11-20T08:00:00Z", "invoice_lines": [ {...} ], "invoice_number": "INV_CD-547545_5", "line_level_taxation": false, "net_due_date": null, "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "approved", "tax_amount": 0, "total_with_taxes": 120, "updated_at": "2025-11-20T16:32:08Z" } ], "total": 3, "limit": 15, "current": 1, "num_pages": 1 }
Get all invoices with line_level_taxation=true
- Filter parameters
-
line_level_taxation=1 - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?line_level_taxation=1' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2025-11-19T09:38:51Z", "currency": "USD", "discount_due_date": "2025-11-29T23:59:59Z", "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "5e75aaf6-365c-58fa-b170-e9f39aa7feea", "invoice_date": "2025-11-19T08:00:00Z", "invoice_lines": [ {...}, {...}, {...}, {...}, {...} ], "invoice_number": "INV_SDS_UUID_TEST_!", "line_level_taxation": true, "net_due_date": "2025-12-19T23:59:59Z", "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "pending_approval", "tax_amount": 0, "total_with_taxes": 413400, "updated_at": "2025-11-21T09:54:01Z" } ], "total": 1, "limit": 15, "current": 1, "num_pages": 1 }
Get all invoices created on a specific date
- Filter parameters
-
created_at__gte=2025-11-19T00:00:00Zcreated_at__lte=2025-11-19T23:59:59Z - Example cURL request
-
curl --request GET \ --url 'https://supplier.coupahost.com/api/v1/invoices?created_at__gte=2025-11-19T00%3A00%3A00Z&created_at__lte=2025-11-19T23%3A59%3A59Z' \ --header 'Authorization: Bearer <access_token>' - Example response
200 OK
{ "data": [ { "created_at": "2025-11-19T09:38:51Z", "currency": "USD", "discount_due_date": "2025-11-29T23:59:59Z", "dispute_reason": "", "document_type": "Invoice", "enterprise_instance_url": "https://scc-master-qe1.coupadev.com/", "id": "5e75aaf6-365c-58fa-b170-e9f39aa7feea", "invoice_date": "2025-11-19T08:00:00Z", "invoice_lines": [ {...} ], "invoice_number": "INV_SDS_UUID_TEST_!", "line_level_taxation": true, "net_due_date": "2025-12-19T23:59:59Z", "original_invoice_date": null, "original_invoice_number": "", "paid": false, "status": "pending_approval", "tax_amount": 0, "total_with_taxes": 413400, "updated_at": "2025-11-21T09:54:01Z" } ], "total": 1, "limit": 15, "current": 1, "num_pages": 1 }